# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fast-clean"
version = "1.2.0"
authors = ["Freeman<freedomman271828@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tool for quickly clean the target dir"
readme = "README.md"
keywords = [
    "cli",
    "cleanup",
    "filesystem",
    "tool",
]
categories = [
    "command-line-utilities",
    "filesystem",
]
license = "MIT"

[lib]
name = "fast_clean"
path = "src/lib.rs"

[[bin]]
name = "fast-clean"
path = "src/main.rs"

[[test]]
name = "perf1"
path = "tests/perf1.rs"

[[test]]
name = "remove_files_test"
path = "tests/remove_files_test.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.filetime]
version = "0.2"

[dependencies.tempfile]
version = "3.6"

[dependencies.walkdir]
version = "2.5"
